MCP Tools Reference: developerknowledge.googleapis.com

도구: get_document

이 도구를 사용하여 단일 문서의 전체 콘텐츠를 가져옵니다. 문서 이름은 search_documents 도구 호출 결과의 parent 필드에서 가져와야 합니다. 여러 문서를 가져와야 하는 경우 batch_get_documents를 대신 사용하세요.

다음 샘플은 curl를 사용하여 get_document MCP 도구를 호출하는 방법을 보여줍니다.

curl 요청
                  
curl --location 'https://developerknowledge.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_document",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

입력 스키마

get_document의 요청 스키마입니다.

GetDocumentRequest

JSON 표현
{
  "name": string
}
필드
name

string

필수 항목입니다. 검색할 문서 이름입니다. 형식: documents/{uri_without_scheme} 예: documents/docs.cloud.google.com/storage/docs/creating-buckets

출력 스키마

문서는 개발자 지식 코퍼스의 콘텐츠를 나타냅니다.

문서

JSON 표현
{
  "name": string,
  "uri": string,
  "content": string,
  "description": string
}
필드
name

string

식별자. 문서의 리소스 이름입니다. 형식: documents/{uri_without_scheme} 예: documents/docs.cloud.google.com/storage/docs/creating-buckets

uri

string

출력 전용입니다. 콘텐츠의 URI입니다(예: https://cloud.google.com/storage/docs/creating-buckets).

content

string

출력 전용입니다. 문서의 콘텐츠(마크다운 형식)입니다.

이 문서가 search_documents에 의해 반환된 경우 이 필드에는 검색어와 관련된 텍스트 스니펫이 포함됩니다. 이 문서가 get_document 또는 batch_get_documents에 의해 반환되는 경우 이 필드에는 전체 문서 콘텐츠가 포함됩니다.

description

string

출력 전용입니다. 문서에 대한 설명입니다.

도구 주석

파괴적 힌트: ❌ | 동일한 힌트: ✅ | 읽기 전용 힌트: ✅ | 오픈 월드 힌트: ❌